package com.nantian.cloud.dbcapp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.dbcapp.entity.ConfigureDataCollectGenerate;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 采集配置项生成表 服务类
 * </p>
 *
 * @author suixin
 * @since 2022-05-04
 */
public interface ConfigureDataCollectGenerateService extends IService<ConfigureDataCollectGenerate> {
    List<Map<String, Object>> getGenerateList(String epc);

    List<String> getDigestList(String epc);

    List<Long> getIdList(String epc);

    boolean backUpGenerateData(ConfigureDataCollectGenerate configureDataCollectGenerate);
}
